Index: branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis.Base/Erc/Boolean/BooleanRandomErc.cs
===================================================================
--- branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis.Base/Erc/Boolean/BooleanRandomErc.cs	(revision 15017)
+++ branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis.Base/Erc/Boolean/BooleanRandomErc.cs	(revision 15032)
@@ -14,5 +14,5 @@
     private const string AllowFalseParameterName = "Allow false";
 
-    public BooleanRandomErc() : this(false, true, true) { }
+    public BooleanRandomErc() : this(true, true, true) { }
 
     public BooleanRandomErc(bool isEnabled, bool allowTrue, bool allowFalse, double weight = 1d) : base(isEnabled, weight) {
Index: branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis.Base/Erc/Float/FloatConstantErc.cs
===================================================================
--- branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis.Base/Erc/Float/FloatConstantErc.cs	(revision 15017)
+++ branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis.Base/Erc/Float/FloatConstantErc.cs	(revision 15032)
@@ -7,5 +7,5 @@
   public class FloatConstantErc : ConstantsWeightedErc<double, DoubleArray> {
 
-    public FloatConstantErc() : this(false, 1d) { }
+    public FloatConstantErc() : this(true, 1d) { }
 
     public FloatConstantErc(params double[] constants) : this(true, 1d, constants) { }
Index: branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis.Base/Erc/Float/FloatRangeErc.cs
===================================================================
--- branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis.Base/Erc/Float/FloatRangeErc.cs	(revision 15017)
+++ branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis.Base/Erc/Float/FloatRangeErc.cs	(revision 15032)
@@ -10,5 +10,5 @@
     private const string RangeParameterName = "Range";
 
-    public FloatRangeErc() : this(false, 0d, 0d) { }
+    public FloatRangeErc() : this(true, 0d, 0d) { }
 
     public FloatRangeErc(double start, double end) : this(true, start, end) { }
Index: branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis.Base/Erc/Integer/IntegerConstantErc.cs
===================================================================
--- branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis.Base/Erc/Integer/IntegerConstantErc.cs	(revision 15017)
+++ branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis.Base/Erc/Integer/IntegerConstantErc.cs	(revision 15032)
@@ -7,5 +7,5 @@
   public class IntegerConstantErc : ConstantsWeightedErc<int, IntArray> {
 
-    public IntegerConstantErc() : this(false, 1d) { }
+    public IntegerConstantErc() : this(true, 1d) { }
 
     public IntegerConstantErc(params int[] constants) : this(true, 1d, constants) { }
Index: branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis.Base/Erc/Integer/IntegerRangeErc.cs
===================================================================
--- branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis.Base/Erc/Integer/IntegerRangeErc.cs	(revision 15017)
+++ branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis.Base/Erc/Integer/IntegerRangeErc.cs	(revision 15032)
@@ -10,5 +10,5 @@
     private const string RangeParameterName = "Range";
 
-    public IntegerRangeErc() : this(false, 0, 0) { }
+    public IntegerRangeErc() : this(true, 0, 0) { }
 
     public IntegerRangeErc(int start, int end) : this(true, start, end) { }
Index: branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis.Base/Erc/String/StringConstantErc.cs
===================================================================
--- branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis.Base/Erc/String/StringConstantErc.cs	(revision 15017)
+++ branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis.Base/Erc/String/StringConstantErc.cs	(revision 15032)
@@ -12,5 +12,5 @@
     private const string ConstantsParameterName = "Constants";
 
-    public StringConstantErc() : this(false, 1d) { }
+    public StringConstantErc() : this(true, 1d) { }
 
     public StringConstantErc(params string[] constants) : this(true, 1d, constants) { }
Index: branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis.Base/Erc/String/StringRandomErc.cs
===================================================================
--- branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis.Base/Erc/String/StringRandomErc.cs	(revision 15017)
+++ branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis.Base/Erc/String/StringRandomErc.cs	(revision 15032)
@@ -27,5 +27,5 @@
     private const string NewStringProbabilityParameterDescription = "The probability that the selection of the ephemeral random string constant for inclusion in randomly generated code will produce a new string (rather than a string that was previously generated).";
 
-    public StringRandomErc() : this(false, 1d) { }
+    public StringRandomErc() : this(true, 1d) { }
 
     public StringRandomErc(bool isEnabled, double weight = 1d) : base(isEnabled, weight) {
Index: branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis.Base/Erc/StringVector/StringVectorConstantsErc.cs
===================================================================
--- branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis.Base/Erc/StringVector/StringVectorConstantsErc.cs	(revision 15017)
+++ branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis.Base/Erc/StringVector/StringVectorConstantsErc.cs	(revision 15032)
@@ -15,5 +15,5 @@
     private const string ConstantsParameterName = "Constants";
 
-    public StringVectorConstantsErc() : this(false, 1d) { }
+    public StringVectorConstantsErc() : this(true, 1d) { }
     public StringVectorConstantsErc(params string[][] arrays) : this(true, 1d, arrays.Select(x => new StringArray(x)).ToArray()) { }
     public StringVectorConstantsErc(params StringArray[] arrays) : this(true, 1d, arrays) { }
Index: branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis.Base/Erc/Views/ErcOptionsView.cs
===================================================================
--- branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis.Base/Erc/Views/ErcOptionsView.cs	(revision 15017)
+++ branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis.Base/Erc/Views/ErcOptionsView.cs	(revision 15032)
@@ -32,5 +32,6 @@
       double value;
       if (double.TryParse(text, out value)) {
-        possibilityTextBox.Text = (value / 100.0).ToString(PERCENTAGE_FORMAT);
+        if (value > 1) value /= 100.0;
+        possibilityTextBox.Text = value.ToString(PERCENTAGE_FORMAT);
       } else {
         possibilityTextBox.Text = "0%";
